//##################################################################################################
//
//  Ceetron Export
//  Component: VTFx
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2015, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

#pragma once

#include "CeeCore/Base.h"


// Define CEE_STATIC_LIBS when using of Ceetron Export (DLL versions static linking is the default)
// To build a static linking version of this component, both CEE_STATIC_LIBS and CEE_EXP_BUILD_DLL_EXPORT must be defined.
#ifdef WIN32
    #ifdef CEE_STATIC_LIBS
        #define CEE_VTFX_EXPORT
    #else
        #ifdef CEE_VTFX_BUILD_DLL_VTFX
            #define CEE_VTFX_EXPORT __declspec(dllexport)
        #else
            #define CEE_VTFX_EXPORT __declspec(dllimport)
        #endif
    #endif // CEE_STATIC_LIBS
#else  // WIN32
    #define CEE_VTFX_EXPORT
#endif //WIN32
