﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Ceetron.Ceetron3DComponents;
using Ceetron.Ceetron3DComponents.VTFx;

namespace Example1
{
    class Program
    {
        static void Main(string[] args)
        {
            Instance m_componentInstance;

            uint licenseKeyA = 0x00;    // Todo: Set by developer 
            uint licenseKeyB = 0x00;    // Todo: Set by developer
            m_componentInstance = CoreComponent.initialize(licenseKeyA, licenseKeyB);
            VTFxComponent.initialize(m_componentInstance);

            LogDestinationConsole log = new LogDestinationConsole();
            CoreComponent.logManager().setDestination(log);
            CoreComponent.logManager().setLevel("", 3);

            Example1 ex = new Example1();
            ex.createModelFile("Example1.vtfx");

        }
    }
}
