//##################################################################################################
//
//  Ceetron 3D Components
//  Component: Core
//  
//  --------------------------------------------------------------------------------------------
//  Copyright (C) 2011, Ceetron AS
//  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Ceetron AS. The contents of this file may 
//  not be disclosed to third parties, copied or duplicated in any form, in whole or in part,
//  without the prior written permission of Ceetron AS.
//##################################################################################################

// This is the one and only source of info for Ceetron 3D Components
// This file will be included in compiled code and is parsed
// by the CMake scripts to embed version info in the built DLLs

#define CEE_MAJOR_VERSION  2
#define CEE_MINOR_VERSION  4
#define CEE_BUILD_NUMBER   0
#define CEE_SPECIAL_BUILD ""


// Single numeric value for the version constructed from minor, major and build number
// The form is 0xMMNNBB (MM = major, NN = minor, BB = build). The version 1.2.4 will be coded as 0x010204
#define CEE_VERSION ((CEE_MAJOR_VERSION<<16)|(CEE_MINOR_VERSION<<8)|(CEE_BUILD_NUMBER))

#define CEE_VER_STRINGIZE2(s)  #s
#define CEE_VER_STRINGIZE(s)   CEE_VER_STRINGIZE2(s)
#define CEE_VERSION_STRING     CEE_VER_STRINGIZE(CEE_MAJOR_VERSION) "." CEE_VER_STRINGIZE(CEE_MINOR_VERSION) "." CEE_VER_STRINGIZE(CEE_BUILD_NUMBER) CEE_SPECIAL_BUILD
